/**
 * Copyright (c) 2000-2009, Jasig, Inc.
 * See license distributed with this file and available online at
 * https://www.ja-sig.org/svn/jasig-parent/tags/rel-10/license-header.txt
 */

package org.jasig.portal.serialize;


/**
 * @version $Revision: 17160 $ $Date: 2009-02-24 22:46:57 -0800 (Tue, 24 Feb 2009) $
 * @author <a href="mailto:arkin@intalio.com">Assaf Arkin</a>
 * @see OutputFormat
 */
public final class Method
{
    
    
    /**
     * The output method for XML documents.
     */
    public static final String XML = "xml";
    
    
    /**
     * The output method for HTML documents.
     */
    public static final String HTML = "html";
    
    
    /**
     * The output method for HTML documents as XHTML.
     */
    public static final String XHTML = "xhtml";
    
    
    /**
     * The output method for text documents.
     */
    public static final String TEXT = "text";
    
    
    /**
     * The output method for FO documents as PDF.
     */
    public static final String FOP = "fop";
    
    
}


